This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 896407 - Guest hang when boot with vnc and qxl
Guest hang when boot with vnc and qxl
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Default Assignee for SPICE Bugs
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-17 04:08 EST by mazhang
Modified: 2016-01-01 17:40 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description mazhang 2013-01-17 04:08:55 EST
Description of problem:
Boot guest with vnc and qxl, guest will hang in boot process, but qemu does not quit.

Version-Release number of selected component (if applicable):
host:
RHEL-7.0-20130108.n.0
qemu-img-1.3.0-3.el7.x86_64
3.7.0-0.30.el7.x86_64
guest:
RHEL6.4-20121206.0
2.6.32-347.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Boot up a guest with follow command line:
#r -M pc -cpu SandyBridge -m 8G -smp 4,sockets=2,cores=2,threads=1,maxcpus=16 -enable-kvm -name rhel -uuid 990ea161-6b67-47b2-b803-19fb01d30d12 -smbios type=1,manufacturer='Red Hat',product='RHEV Hypervisor',version=el6,serial=koTUXQrb,uuid=feebc8fd-f8b0-4e75-abc3-e63fcdb67170 -k en-us -rtc base=localtime,clock=host,driftfix=slew -no-kvm-pit-reinjection -monitor stdio -qmp tcp:0:6666,server,nowait -boot menu=on -bios /usr/share/seabios/bios.bin -drive file=/root/images/rhel6u4.qcow2,if=none,id=drive-scsi-disk,format=qcow2,cache=none,werror=stop,rerror=stop -device virtio-scsi-pci,id=scsi0,addr=0x5 -device scsi-hd,drive=drive-scsi-disk,bus=scsi0.0,scsi-id=0,lun=0,id=scsi-disk,bootindex=1 -chardev socket,path=/tmp/isa-serial,server,nowait,id=isa1 -device isa-serial,chardev=isa1,id=isa-serial1 -vnc :0 -vga qxl

2. 
3.
  
Actual results:
guest hang in boot process
qemu monitor did not quit and print the follow message:
qxl_send_events: spice-server bug: guest stopped, ignoring

Expected results:
work well

Additional info:
Comment 2 RHEL Product and Program Management 2014-03-22 03:02:14 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.